document.addEventListener('DOMContentLoaded', () => {
  // Tab switching functionality
  const tabButtons = document.querySelectorAll('.tab-btn');
  const tabContents = document.querySelectorAll('.tab-content');

  tabButtons.forEach(button => {
    button.addEventListener('click', () => {
      // Remove active classes
      tabButtons.forEach(btn => btn.classList.remove('active'));
      tabContents.forEach(content => content.classList.remove('active'));

      // Add active class to clicked button and corresponding content
      button.classList.add('active');
      const tabId = button.getAttribute('data-tab');
      document.getElementById(tabId).classList.add('active');
    });
  });

  // Calculator functionality
  function updateCalculations() {
    // CPHY ratio calculation
    const cphyRatio = document.getElementById('cphy-ratio');
    if (cphyRatio) {
      const bitsPerWord = 16; // Default value
      const result = (7/16)/bitsPerWord;
      cphyRatio.value = result.toFixed(2);
    }

    // Add more calculation functions here
  }

  // Add input event listeners
  const inputs = document.querySelectorAll('input');
  inputs.forEach(input => {
    input.addEventListener('input', updateCalculations);
  });

  // Initial calculation
  updateCalculations();
});
